---------------------
PatchSet 11149 
Date: 2007/10/01 22:48:34
Author: hno
Branch: HEAD
Tag: (none) 
Log:
Author: Tsantilas Christos <chtsanti@users.sourceforge.net>
More >2GB fixes. BodyPipe::unproducedSize() method should also return an uint64_t

Members: 
	src/BodyPipe.cc:1.5->1.6 
	src/BodyPipe.h:1.3->1.4 

Index: squid3/src/BodyPipe.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/BodyPipe.cc,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- squid3/src/BodyPipe.cc	7 Sep 2007 15:10:50 -0000	1.5
+++ squid3/src/BodyPipe.cc	1 Oct 2007 22:48:34 -0000	1.6
@@ -77,7 +77,7 @@
 	return !expectMoreAfter(theGetSize);
 }
 
-size_t BodyPipe::unproducedSize() const
+uint64_t BodyPipe::unproducedSize() const
 {
 	return bodySize() - thePutSize; // bodySize() asserts that size is known
 }
@@ -106,7 +106,7 @@
 BodyPipe::putMoreData(const char *buf, size_t size)
 {
 	if (bodySizeKnown())
-		size = XMIN(size, unproducedSize());
+		size = XMIN((uint64_t)size, unproducedSize());
 
 	const size_t spaceSize = static_cast<size_t>(theBuf.potentialSpaceSize());
 	if ((size = XMIN(size, spaceSize))) {
Index: squid3/src/BodyPipe.h
===================================================================
RCS file: /cvsroot/squid/squid3/src/BodyPipe.h,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- squid3/src/BodyPipe.h	13 Aug 2007 17:20:51 -0000	1.3
+++ squid3/src/BodyPipe.h	1 Oct 2007 22:48:34 -0000	1.4
@@ -92,7 +92,7 @@
 		size_t putMoreData(const char *buf, size_t size);
 		bool mayNeedMoreData() const { return !bodySizeKnown() || needsMoreData(); }
 		bool needsMoreData() const { return bodySizeKnown() && unproducedSize() > 0; }
-		size_t unproducedSize() const; // size of still unproduced data
+		uint64_t unproducedSize() const; // size of still unproduced data
 
 		// called by consumers
 		bool setConsumerIfNotLate(Consumer *aConsumer);
